diff options
author | dinoex <dinoex@FreeBSD.org> | 2003-06-12 04:58:34 +0800 |
---|---|---|
committer | dinoex <dinoex@FreeBSD.org> | 2003-06-12 04:58:34 +0800 |
commit | 835dca1684b16688d26ea3db3a8978321c1c681d (patch) | |
tree | 3cd98a61fff87a13a143ad75b8c2d99a05a9869d /astro/setiathome | |
parent | c4af88575829a964ceac27cbbd578a17e8e788fb (diff) | |
download | freebsd-ports-gnome-835dca1684b16688d26ea3db3a8978321c1c681d.tar.gz freebsd-ports-gnome-835dca1684b16688d26ea3db3a8978321c1c681d.tar.zst freebsd-ports-gnome-835dca1684b16688d26ea3db3a8978321c1c681d.zip |
- backout lastest fixes
Submitted by: cyrille.lefevre@laposte.net
Diffstat (limited to 'astro/setiathome')
-rw-r--r-- | astro/setiathome/Makefile | 9 | ||||
-rw-r--r-- | astro/setiathome/files/setiathome.sh | 13 |
2 files changed, 13 insertions, 9 deletions
diff --git a/astro/setiathome/Makefile b/astro/setiathome/Makefile index 30a77327a7ad..b67dde6d6cce 100644 --- a/astro/setiathome/Makefile +++ b/astro/setiathome/Makefile @@ -25,7 +25,7 @@ COMMENT?= Donate idle cycles to the search for space aliens IS_INTERACTIVE= yes .endif -ONLY_FOR_ARCHS?= i386 +ONLY_FOR_ARCHS?= i386 # alpha NO_BUILD= binary distribution NO_CDROM= interactive install @@ -106,11 +106,6 @@ X11PORTS= X11PORTS= "@comment " .endif - -post-extract: - @${SED} -e "s=%%PREFIX%%=${PREFIX}=" ${FILESDIR}/setiathome.sh \ - > ${WRKSRC}/setiathome.sh - # Post-patch # @@ -174,7 +169,7 @@ install-startup-files: -@${CHMOD} -x ${RC_DIR}/*${file}*.sh 2> /dev/null .endif .if exists(${FILESDIR}/${file}.sh) - @${INSTALL_SCRIPT} ${WRKSRC}/${file}.sh \ + @${INSTALL_SCRIPT} ${FILESDIR}/${file}.sh \ ${RC_DIR}/${PKGNAMEPREFIX}${file}${PKGNAMESUFFIX}.sh .endif .if exists(${FILESDIR}/${file}.bin) diff --git a/astro/setiathome/files/setiathome.sh b/astro/setiathome/files/setiathome.sh index 7325cd14db13..b30de99e664f 100644 --- a/astro/setiathome/files/setiathome.sh +++ b/astro/setiathome/files/setiathome.sh @@ -29,7 +29,11 @@ seti_maxprocs=$(sysctl -n hw.ncpu) # max. number of processes to start seti_sleep_time=21600 # time to sleep between restarts set +a -PREFIX=%%PREFIX%% +if ! PREFIX=$(expr ${rc_path} : "\(/.*\)/etc/rc\.d/${rc_file}\$"); then + echo "${rc_file}: Cannot determine PREFIX." >&2 + echo "Please use the complete pathname." >&2 + exit 64 +fi rcconf_dir=${PREFIX}/etc rcconf_file=rc.${rc_file%.sh}.conf @@ -78,6 +82,11 @@ start) "unable to start: ${program_path} is missing." exit 72 fi + if [ ! -x ${wrapper_path} ]; then + logger -sp ${syslog_facility} -t ${wrapper_file} \ + "unable to start: ${wrapper_path} is missing." + exit 72 + fi for i in ${seti_wrksuff}; do if [ ! -d ${seti_wrkdir}/${i} ]; then logger -sp ${syslog_facility} -t ${program_file} \ @@ -93,7 +102,7 @@ start) exit 72 fi done - if ps axo command | egrep ^${program_path}; then + if ps axo ucomm | egrep ${program_file}; then logger -sp ${syslog_facility} -t ${program_file} \ "unable to start: ${program_file} is already running." exit 72 |